高德地图SDK(导航) V11.2.0501

Loading...
Searching...
No Matches
Properties | List of all members
AMapNaviRoute Class Reference

`#include <AMapNaviRoute.h>`

Inheritance diagram for AMapNaviRoute:

## Properties
NSInteger | routeLength
NSInteger | routeTime
AMapNaviPointBounds * | routeBounds
AMapNaviPoint * | routeCenterPoint
NSArray< AMapNaviPoint * > * | routeCoordinates
AMapNaviPoint * | routeStartPoint
AMapNaviPoint * | routeEndPoint
AMapNaviPOIInfo * | startPoi
| 路线方案的起点POI
AMapNaviPOIInfo * | endPoi
| 路线方案的终点POI
NSArray< AMapNaviPOIInfo * > * | viaPois
| 路线方案的途经点的POI数组
NSArray< AMapNaviSegment * > * | routeSegments
NSInteger | routeSegmentCount
NSArray< AMapNaviCameraInfo * > * | routeCameras
NSInteger | routeTrafficLightCount
NSArray< AMapNaviRouteLabel * > * | routeLabels
NSInteger | routeTollCost
NSArray< AMapNaviPoint * > * | wayPoints
NSIndexPath * | wayPointsIndexes
NSArray< NSNumber * > * | wayPointCoordIndexes
AMapNaviRestrictionInfo * | restrictionInfo
NSArray< AMapNaviTrafficStatus * > * | routeTrafficStatuses
NSArray< AMapNaviGroupSegment * > * | routeGroupSegments
NSArray< NSNumber * > * | routeCityAdcodes
NSArray< AMapNaviPoint * > * | routeTrafficLights
NSArray< AMapNaviRouteForbiddenInfo * > * | forbiddenInfo
NSArray< AMapNaviRoadFacilityInfo * > * | roadFacilityInfo
NSArray< AMapNaviRouteIconPoint * > * | routeIconPoints
NSArray< AMapNaviTrafficIncidentInfo * > * | trafficIncidentInfo
NSArray< AMapNaviRouteWayPointInfo * > * | wayPointsInfo
NSArray< NSNumber * > * | drawStyleIndexes
NSUInteger | routeUID
NSArray< AMapNaviRouteGuideGroup * > * | guideGroups
AMapNaviPoint * | searchStartPoint
AMapNaviPoint * | searchEndPoint
BOOL | isMpidRestoreRoute

## Detailed Description

导航路径信息 Navigation path information

## Property Documentation

## ◆ drawStyleIndexes

- (NSArray<NSNumber *>*) drawStyleIndexes
| read write nonatomic strong

根据路况生成的纹理索引数组, 可直接用于路线多彩线 MAMultiPolyline 的创建 .注意:只针对驾车. since 6.7.0 Texture index array generated based on road conditions, which can be directly used for the creation of colorful route MAMultiPolyline, note: only for driving

## ◆ endPoi

- (AMapNaviPOIInfo*) endPoi
| read write nonatomic strong

路线方案的终点POI

## ◆ forbiddenInfo

- (NSArray<AMapNaviRouteForbiddenInfo *>*) forbiddenInfo
| read write nonatomic strong

路径上的禁行标示信息. 注意:只针对驾车. since 6.0.0 No-entry sign information on the route, note: only for driving

## ◆ guideGroups

- (NSArray<AMapNaviRouteGuideGroup *>*) guideGroups
| read write nonatomic strong

路线详情信息. since 7.5.0 Route detail information

## ◆ isMpidRestoreRoute

- (BOOL) isMpidRestoreRoute
| read nonatomic assign

是否mpid还原出的路线，注意当使用扩展还原模式（AMapNaviMpidRestoreTypeExtended)时，补充算出的备选路线的该字段值为false

Since
  10.3.0

Provided by category AMapNaviRoute(AMLMpid).

## ◆ restrictionInfo

- (AMapNaviRestrictionInfo*) restrictionInfo
| read write nonatomic strong

路径限行信息. 注意:只针对驾车. since 5.0.0 Path restriction information, note: only for driving

## ◆ roadFacilityInfo

- (NSArray<AMapNaviRoadFacilityInfo *>*) roadFacilityInfo
| read write nonatomic strong

道路设施信息. 注意:只针对驾车. since 6.0.0 Road facility information, note: only for driving

## ◆ routeBounds

- (AMapNaviPointBounds*) routeBounds
| read write nonatomic strong

导航路线最小坐标点和最大坐标点围成的矩形区域 Rectangular area enclosed by the minimum and maximum coordinate points of the navigation route

## ◆ routeCameras

- (NSArray<AMapNaviCameraInfo *>*) routeCameras
| read write nonatomic strong

导航路线上的所有电子眼. 注意:只针对驾车. All speed cameras on the navigation route, note: only for driving

## ◆ routeCenterPoint

- (AMapNaviPoint*) routeCenterPoint
| read write nonatomic strong

导航路线的中心点，即导航路径的最小外接矩形对角线的交点 The center point of the navigation route, which is the intersection point of the diagonals of the minimum bounding rectangle of the navigation path

## ◆ routeCityAdcodes

- (NSArray<NSNumber *>*) routeCityAdcodes
| read write nonatomic strong

路径经过的城市的adcode列表. 注意:只针对驾车. since 5.1.0 List of adcodes for cities along the path, note: only for driving

## ◆ routeCoordinates

- (NSArray<AMapNaviPoint *>*) routeCoordinates
| read write nonatomic strong

导航路线的所有形状点 All shape points of the navigation route

## ◆ routeEndPoint

- (AMapNaviPoint*) routeEndPoint
| read write nonatomic strong

路线方案的终点坐标 Ending point coordinates of the route plan

## ◆ routeGroupSegments

- (NSArray<AMapNaviGroupSegment *>*) routeGroupSegments
| read write nonatomic strong

路径的聚合段信息. 注意:只针对驾车. since 5.1.0 Path segment aggregation information, note: only for driving

## ◆ routeIconPoints

- (NSArray<AMapNaviRouteIconPoint *>*) routeIconPoints
| read write nonatomic strong

路径的扎点. 注意:只针对驾车. since 6.3.0 Stops on the route, note: only for driving

## ◆ routeLabels

- (NSArray<AMapNaviRouteLabel *>*) routeLabels
| read write nonatomic strong

导航路线上的标签信息. 注意:只针对驾车. since 5.0.0 Label information on the navigation route, note: only for driving

## ◆ routeLength

- (NSInteger) routeLength
| read write nonatomic assign

导航路径总长度(单位:米) Total length of the navigation path (unit: meters)

## ◆ routeSegmentCount

- (NSInteger) routeSegmentCount
| read write nonatomic assign

导航路线上分段的总数 Total number of segments on the navigation route

## ◆ routeSegments

- (NSArray<AMapNaviSegment *>*) routeSegments
| read write nonatomic strong

导航路线的所有分段 All segments of the navigation route

## ◆ routeStartPoint

- (AMapNaviPoint*) routeStartPoint
| read write nonatomic strong

路线方案的起点坐标 Starting point coordinates of the route plan

## ◆ routeTime

- (NSInteger) routeTime
| read write nonatomic assign

导航路径所需的时间(单位:秒) Time required for the navigation path (unit: seconds)

## ◆ routeTollCost

- (NSInteger) routeTollCost
| read write nonatomic assign

导航路线的花费金额(单位:元). 注意:只针对驾车. Cost of the navigation route (unit: yuan), note: only for driving

## ◆ routeTrafficLightCount

- (NSInteger) routeTrafficLightCount
| read write nonatomic assign

导航路线上红绿灯的总数 Total number of traffic lights on the navigation route

## ◆ routeTrafficLights

- (NSArray<AMapNaviPoint *>*) routeTrafficLights
| read write nonatomic strong

路径的所有红绿灯坐标. 注意:只针对驾车. since 5.3.0 Coordinates of all traffic lights on the route, note: only for driving

## ◆ routeTrafficStatuses

- (NSArray<AMapNaviTrafficStatus *>*) routeTrafficStatuses
| read write nonatomic strong

路径的路况信息. 注意:只针对驾车. since 5.1.0 Path traffic conditions, note: only for driving

## ◆ routeUID

- (NSUInteger) routeUID
| read write nonatomic assign

当前路线的唯一标识ID . since 6.7.0 The unique identifier ID of the current route

## ◆ searchEndPoint

- (AMapNaviPoint*) searchEndPoint
| read nonatomic strong

获取路线检索终点坐标 since 10.0.820 Get the destination coordinates for route search since 10.0.820

## ◆ searchStartPoint

- (AMapNaviPoint*) searchStartPoint
| read nonatomic strong

路线检索起点坐标 since 10.0.820 Route search starting point coordinates since 10.0.820

## ◆ startPoi

- (AMapNaviPOIInfo*) startPoi
| read write nonatomic strong

路线方案的起点POI

## ◆ trafficIncidentInfo

- (NSArray<AMapNaviTrafficIncidentInfo *>*) trafficIncidentInfo
| read write nonatomic strong

道路交通事件信息. 注意:只针对驾车. since 6.4.0 Road traffic event information, note: only for driving

## ◆ viaPois

- (NSArray<AMapNaviPOIInfo *>*) viaPois
| read write nonatomic strong

路线方案的途经点的POI数组

## ◆ wayPointCoordIndexes

- (NSArray<NSNumber *>*) wayPointCoordIndexes
| read write nonatomic strong

路径的途经点在routeCoordinates上对应的index The index of waypoints on routeCoordinates

## ◆ wayPoints

- (NSArray<AMapNaviPoint *>*) wayPoints
| read write nonatomic strong

路径的途经点坐标 Coordinates of the waypoints on the path

## ◆ wayPointsIndexes

- (NSIndexPath*) wayPointsIndexes
| read write nonatomic strong

路径的途经点所在segment段的index Index of the segment where the waypoints on the path are located

## ◆ wayPointsInfo

- (NSArray<AMapNaviRouteWayPointInfo *>*) wayPointsInfo
| read write nonatomic strong

路径的途径点相关信息, 具体参考 AMapNaviRouteWayPointInfo . 注意:驾车支持起始版本 since 6.7.0，骑步行支持起始版本 since 10.1.300 Related information of waypoints on the route, refer to AMapNaviRouteWayPointInfo for details, note: only for driving

The documentation for this class was generated from the following file:

- AMapNaviRoute.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。